#Data from Broad Institute "Cancer Program Data Sets"
#
#http://www.broadinstitute.org/cgi-bin/cancer/datasets.cgi
#
#Subclass Mapping: Identifying Common Subtypes in Independent Disease Data Sets
#PLoS ONE 2(11): e1195. doi:10.1371/journal.pone.0001195
#
#"DLBCL_B"
#
#Rosenwald A, Wright G, Chan WC, Connors JM, Campo E, et al. (2002)
#  The use of molecular profiling to predict survival after chemotherapy
#  for diffuse large-B-cell lymphoma.
#N Engl J Med 346: 1937-1947.
#
#
# Author: SEPP HOCHREITER
###############################################################################


data(DLBCL_B)

X <- as.matrix(XDLBCL)

resDLBCL1 <- fabia(X,200,0.1,1.0,1.0,5)

rDLBCL1 <- extract_plot(X,resDLBCL1$L,resDLBCL1$Z,ti="FABIA Lymphoma(Rosenwald)")

#sorting of predefined labels
CDLBCL%*%rDLBCL1$pmZ

#--------------------------------------

resDLBCL2 <- fabias(X,200,0.4,1.0,1.0,5)

rDLBCL2 <- extract_plot(X,resDLBCL2$L,resDLBCL2$Z,ti="FABIAS Lymphoma(Rosenwald)")

#sorting of predefined labels
CDLBCL%*%rDLBCL2$pmZ


#--------------------------------------

resDLBCL3 <- fabiap(X,200,0.1,1.0,1.0,5,0.5,0.3)

rDLBCL3 <- extract_plot(X,resDLBCL3$L,resDLBCL3$Z,ti="FABIAP Lymphoma(Rosenwald)")
#sorting of predefined labels
CDLBCL%*%rDLBCL3$pmZ

#--------------------------------------

resDLBCL4 <- mfsc(X,5,sL=0.7,sZ=0.3)

rDLBCL4 <- extract_plot(X,resDLBCL4$L,resDLBCL4$Z,"MFSC Lymphoma(Rosenwald)")



#sorting of predefined labels
CDLBCL%*%rDLBCL4$pmZ





